## About The Project

Bike & Run admin panel is a website that is used the admins at Headit to manage relays and teams for the Bike & Run race. This repo features a modern React website with Oauth2 via Keycloak

### Built With

- [React](https://reactjs.org/)

- [Keycloak](https://www.keycloak.org/)

- [MUI](https://mui.com/)

## Getting Started

This is an example of how you may give instructions on setting up your project locally.

To get a local copy up and running follow these simple example steps.

### Prerequisites

This has to be installed to be able to run the application locally.

- [NodeJS](https://nodejs.org/en/)

### Installation

1. Clone the repo

```

   git clone https://YOUR_USSERNAME@bitbucket.org/headit/bike-and-run-admin.git

```

2. You need to create a .ENV file and define the following variables:

* REACT_APP_LOGOUT_REDIRECT_URL = YOUR_LOGOUT_REDIRECT_URL
* REACT_APP_API_URL = YOUR_API_DEPLOYMENT_URL
* REACT_APP_GOOGLE_MAPS_API_KEY = YOUR_GOOGLE_MAPS_API_KEY

#### Running the app

To run run the following commands.

1. Start the backend REST API (link til repo her)
2. Type this into the command line in the root folder of the project. This will install all the packages.
   ```sh
   yarn
   ```
3. To run the website type the following command:
   `sh yarn start `
   Now you should see a window pop up automatically openeing up on localhost.

### Running with docker

We also supply a Dockerfile in the repository should you choose to use it.

* docker build -t YOUR_IMAGE_NAME .
* docker run -d -p 8080:80 YOUR_APP_NAME .

## Tests

To run the tests run the following command
`yarn test `
