import React from "react";

// mui
import { Button } from "@mui/material";
import Box from "@mui/material/Box";

const BackNextButton = ({
  steps,
  activeStep,
  handleBack,
  handleNext,
  disabled,
}) => {
  return (
    <Box sx={{ display: "flex", flexDirection: "row", pt: 2 }}>
      <Button
        id="back-button"
        variant="contained"
        color="inherit"
        disabled={activeStep === 0}
        onClick={handleBack}
        sx={{ mr: 1 }}
      >
        Tilbake
      </Button>
      <Box sx={{ flex: "1 1 auto" }} />
      <Button
        disabled={disabled}
        variant="contained"
        onClick={handleNext}
        id="next-button"
      >
        {activeStep === steps.length - 1 ? "Fullfør" : "Neste"}
      </Button>
    </Box>
  );
};

export default BackNextButton;
