import React from "react";

// mui
import {
  Dialog,
  DialogTitle,
  DialogContent,
  DialogActions,
  Button,
  TextField,
} from "@mui/material";

const AddTeamDialog = ({
  openDialog,
  setOpenDialog,
  dialogTitle,
  sendTeamFunc,
  valueOne,
  valueTwo,
  setValueOne,
  setValueTwo,
}) => {
  const addTeamClick = () => {
    sendTeamFunc();
  };

  const handleClose = () => {
    setOpenDialog(false);
  };

  return (
    <Dialog
      fullWidth={true}
      maxWidth="sm"
      open={openDialog}
      keepMounted
      onClose={handleClose}
    >
      <DialogTitle>{dialogTitle}</DialogTitle>
      <DialogContent>
        <div>
          <TextField
            sx={{ width: "100%" }}
            variant="outlined"
            placeholder="Navn"
            value={valueOne}
            onChange={(e) => setValueOne(e.target.value)}
          />
        </div>

        <div style={{ paddingTop: "10px" }}>
          <TextField
            sx={{ width: "100%" }}
            variant="outlined"
            placeholder="Epost"
            value={valueTwo}
            onChange={(e) => setValueTwo(e.target.value)}
          />
        </div>
      </DialogContent>
      <DialogActions
        sx={{ padding: "8px 24px", display: "flex", marginBottom: "20px" }}
      >
        <Button onClick={handleClose} color="inherit" id="cancel-button">
          Avbryt
        </Button>
        <Button onClick={addTeamClick} variant="contained" id="add-button">
          Legg til
        </Button>
      </DialogActions>
    </Dialog>
  );
};

export default AddTeamDialog;
