import React from "react";

// mui
import { Card } from "@mui/material";
import { makeStyles } from "@mui/styles";

const useStyles = makeStyles((theme) => ({
  centerCardContainer: {
    display: "flex",
    alignItems: "center",
    flexDirection: "column",
    marginTop: "20px",
    marginBottom: "40px",
    width: "100%",
  },
}));

const CardBox = ({ children }) => {
  const classes = useStyles();

  return (
    <div className={classes.centerCardContainer}>
      <Card
        variant="outlined"
        sx={{
          width: "70%",
          maxWidth: "1000px",
          height: "50%",
          padding: "20px",
          backgroundColor: "rgba(255, 255, 255, 0.8)",
        }}
      >
        {children}
      </Card>
    </div>
  );
};

export default CardBox;
