import React from "react";

// mui
import {
  Dialog,
  DialogTitle,
  DialogContent,
  DialogActions,
  Button,
  TextField,
} from "@mui/material";

const EditOrDeleteTeamDialog = ({
  openDialog,
  setOpenDialog,
  dialogTitle,
  editDataFunc,
  deleteTeamFunc,
  valueOne,
  valueTwo,
  setValueOne,
  setValueTwo,
}) => {
  const editTeamClick = () => {
    editDataFunc();
    setOpenDialog(false);
  };

  const deleteTeamClick = () => {
    deleteTeamFunc();
    setOpenDialog(false);
  };

  const handleClose = () => {
    setOpenDialog(false);
  };

  return (
    <Dialog
      fullWidth={true}
      maxWidth="sm"
      open={openDialog}
      keepMounted
      onClose={handleClose}
    >
      <DialogTitle>{dialogTitle}</DialogTitle>
      <DialogContent>
        <div>
          <TextField
            sx={{ width: "100%" }}
            variant="outlined"
            value={valueOne}
            onChange={(e) => setValueOne(e.target.value)}
          />
        </div>
        <div style={{ paddingTop: "10px" }}>
          <TextField
            sx={{ width: "100%" }}
            variant="outlined"
            value={valueTwo}
            onChange={(e) => setValueTwo(e.target.value)}
          />
        </div>
      </DialogContent>

      <DialogActions
        sx={{ padding: "8px 24px", display: "flex", marginBottom: "20px" }}
      >
        <Button
          sx={{ marginRight: "auto" }}
          onClick={deleteTeamClick}
          autoFocus
          variant="contained"
          color="error"
        >
          Slett
        </Button>
        <Button onClick={handleClose} autoFocus color="inherit">
          Avbryt
        </Button>

        <Button onClick={editTeamClick} autofocus variant="contained">
          Rediger
        </Button>
      </DialogActions>
    </Dialog>
  );
};

export default EditOrDeleteTeamDialog;
