import React from "react";

// mui
import Snackbar from "@mui/material/Snackbar";
import MuiAlert from "@mui/material/Alert";

const MessageBox = ({ messageBox, setMessageBox }) => {
  const handleClose = () => {
    setMessageBox({ message: "", severity: "success" });
  };

  return (
    <Snackbar
      open={messageBox.message.length > 0}
      autoHideDuration={6000}
      onClose={handleClose}
    >
      <MuiAlert
        nClose={handleClose}
        sx={{ width: "100%" }}
        severity={messageBox.severity}
        elevation={6}
        variant="filled"
      >
        {messageBox.message}
      </MuiAlert>
    </Snackbar>
  );
};

export default MessageBox;
