import { useState, useEffect } from "react";

// mui
import Tabs from "@mui/material/Tabs";
import Tab from "@mui/material/Tab";
import { Link, useLocation } from "react-router-dom";

const LinkTab = (props) => {
  return <Tab component={Link} {...props} />;
};

const NavBar = () => {
  const [value, setValue] = useState(0);
  const location = useLocation();

  useEffect(() => {
    // selects correct tab if page is not loaded from tab click
    const path = location.pathname;
    if (path.includes("/settings", 0)) {
      handleChange(null, 3);
    } else if (path.includes("/relay/new", 0)) {
      handleChange(null, 2);
    } else if (path.includes("/relay", 0)) {
      handleChange(null, 0);
    } else if (path.includes("/team", 0)) {
      handleChange(null, 1);
    } else if (path.includes("/", 0)) {
      handleChange(null, 0);
    }
  }, [location.pathname]);

  const handleChange = (event, newValue) => {
    setValue(newValue);
  };

  return (
    <Tabs
      variant="fullWidth"
      value={value}
      onChange={handleChange}
      aria-label="navbar"
      style={{ backgroundColor: "rgba(255, 255, 255, 0.8)" }}
    >
      <LinkTab label="Løpsoversikt" to="/" />
      <LinkTab label="Alle lag" to="/team" />
      <LinkTab label="Nytt løp" to="/relay/new" />
      <LinkTab label="Innstillinger" to="/settings" />
    </Tabs>
  );
};

export default NavBar;
