import React from "react";
import {
  Dialog,
  DialogTitle,
  DialogContent,
  DialogActions,
  Button,
  DialogContentText,
} from "@mui/material";

const NestedDeleteTeamDialog = ({
  openDialog,
  setOpenDialog,
  dialogTitle,
  deleteTeamFunc,
  listName,
}) => {
  const deleteTeamClick = () => {
    deleteTeamFunc();
    setOpenDialog(false);
  };

  const handleClose = () => {
    setOpenDialog(false);
  };

  return (
    <Dialog
      open={openDialog}
      keepMounted
      onClose={handleClose}
      fullWidth={true}
      maxWidth="xs"
    >
      <DialogTitle>{dialogTitle}</DialogTitle>
      <DialogContent>
        <DialogContentText sx={{ width: "100%", marginTop: "10px" }}>
          Er du sikker på at du vil slette laget {listName}?
        </DialogContentText>
      </DialogContent>
      <DialogActions sx={{ marginBottom: "20px", marginRight: "20px" }}>
        <Button onClick={handleClose} autoFocus color="inherit">
          Avbryt
        </Button>
        <Button
          id="error-button"
          onClick={deleteTeamClick}
          autoFocus
          variant="contained"
          color="error"
        >
          Slett
        </Button>
      </DialogActions>
    </Dialog>
  );
};

export default NestedDeleteTeamDialog;
