import { useState } from "react";

// mui
import {
  Checkbox,
  ListItem,
  List,
  ListItemText,
  TextField,
  Card,
} from "@mui/material";

const TeamList = ({ teams, setTeams }) => {
  console.log(teams);
  const [searchInput, setSearchInput] = useState("");

  const handleCheckBoxClick = (id) => {
    // denne skal endre originalTeams, ikke teams
    const placeholder = [...teams];
    const idx = placeholder.findIndex((data) => data.id === id);
    placeholder[idx].checked = !placeholder[idx].checked;
    setTeams(placeholder);
  };

  const handleSearch = (e) => {
    setSearchInput(e.target.value);
  };

  return (
    <Card
      variant="outlined"
      sx={{
        width: "50%",
        height: "50%",
        padding: "50px",
      }}
    >
      <div style={{ maxWidth: "500px", margin: "0 auto" }}>
        <TextField
          id="Search-bar"
          sx={{ width: "100%" }}
          placeholder="Søk etter lag"
          variant="standard"
          value={searchInput}
          onChange={(e) => handleSearch(e)}
        />
        <List>
          {teams
            .filter((team) => {
              if (searchInput === "") {
                return true;
              } else if (
                team.teamName.toLowerCase().includes(searchInput.toLowerCase())
              ) {
                return true;
              }
              return false;
            })
            .map((data, idx) => (
              <ListItem
                sx={{ margin: "20px" }}
                key={idx}
                secondaryAction={
                  <Checkbox
                    edge="end"
                    checked={data.checked}
                    onChange={() => handleCheckBoxClick(data.id)}
                  />
                }
              >
                <ListItemText primary={data.teamName} />
              </ListItem>
            ))}
        </List>
      </div>
    </Card>
  );
};

export default TeamList;
