import React from "react";
import Keycloak from "keycloak-js";

// mui
import { Button, Typography } from "@mui/material";
import { makeStyles } from "@mui/styles";

const useStyles = makeStyles((theme) => ({
  pageContainer: {
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    paddingTop: "30px",
  },
}));

const Login = () => {
  const classes = useStyles();

  const loginButton = () => {
    const redirectUrl =
      window.location.protocol + "//" + window.location.host + "/relay";
    const keycloak = new Keycloak("/keycloak.json");
    keycloak.init({
      onLoad: "login-required",
      redirectUri: redirectUrl,
    });
  };

  return (
    <div className={classes.pageContainer}>
      <Typography variant="h1">Bike and Run</Typography>
      <Button
        sx={{ marginTop: "100px" }}
        size="large"
        variant="contained"
        onClick={loginButton}
      >
        Logg inn
      </Button>
    </div>
  );
};

export default Login;
