import { useState, useEffect } from "react";
import CardBox from "../../components/CardBox";
import { useAuth } from "../../hooks/auth";

// mui
import Button from "@mui/material/Button";
import Typography from "@mui/material/Typography";

const Settings = () => {
  const auth = useAuth();
  const [username, setUserName] = useState("");

  useEffect(() => {
    auth.currentUser.loadUserInfo().then((currentUser) => {
      const userNamePlaceholder = currentUser.preferred_username;
      setUserName(userNamePlaceholder);
    });
  }, [auth.currentUser]);

  const logoutButton = async () => {
    auth.logout();
  };
  return (
    <CardBox>
      <Typography>Brukernavn: {username}</Typography>
      <div>
        <Button variant="contained" onClick={logoutButton}>
          Logg ut
        </Button>
      </div>
    </CardBox>
  );
};

export default Settings;
