// used for sorting
const compare = (a, b, key) => {
  if (a[key] < b[key]) {
    return -1;
  }
  if (a[key] > b[key]) {
    return 1;
  }
  return 0;
};

// converts date object to readable string format
const dateToReadableString = (
  d,
  showDateOnly = false,
  showTimeOnly = false
) => {
  let text = "";
  let minutes = d.getMinutes().toString();
  if (minutes.length === 1) {
    minutes += "0";
  }
  if (showDateOnly) {
    text = d.getDate() + "." + d.getMonth() + "." + d.getFullYear();
  } else if (showTimeOnly) {
    text = d.getHours() + ":" + minutes;
  } else {
    text =
      d.getDate() +
      "." +
      d.getMonth() +
      "." +
      d.getFullYear() +
      " " +
      d.getHours() +
      ":" +
      minutes;
  }
  return text;
};

export { compare, dateToReadableString };
