const validateRelay = (relay) => {
  // information text field does not need to be checked as it's optional.

  var returnObject = {
    error: "valid",
    isValid: false,
  };

  if (relay.latitude === 0) {
    returnObject.error = "Ikke gyldig latitude";
    return returnObject;
  } else if (relay.longitude === 0) {
    returnObject.error = "Ikke gyldig longitude";
    return returnObject;
  } else if (relay.location.length < 1) {
    returnObject.error = "Løpet mangler lokasjon";
    return returnObject;
  } else if (relay.teamIds.length < 1) {
    returnObject.error = "Løpet mangler mangler lag";
    return returnObject;
  }

  if (relay.relayStages.length < 1) {
    returnObject.error = "Mangler etapper";
    return returnObject;
  }

  relay.relayStages.forEach((elem, index, array) => {
    if (elem.stageTypeId < 1) {
      returnObject.error = "Ikke gyldig stagetype id";
      return returnObject;
    } else if (elem.lat === 0) {
      returnObject.error = "Ikke gyldig stagetype latitude";
      return returnObject;
    } else if (elem.lng === 0) {
      returnObject.error = "Ikke gyldig stagetype longitude";
      return returnObject;
    }
  });

  returnObject.isValid = true;
  return returnObject;
};

export default validateRelay;
