import React from "react";
import { AlertDialog, Button } from "native-base";

export default function ConfirmBox({
  openConfirmBox,
  setOpenConfirmBox,
  title,
  bodyText,
  onYes,
}) {
  const cancelRef = React.useRef(null);

  const onClose = () => {
    setOpenConfirmBox(false);
  };

  const yesButton = () => {
    onClose();
    onYes();
  };

  return (
    <AlertDialog
      leastDestructiveRef={cancelRef}
      isOpen={openConfirmBox}
      onClose={onClose}
    >
      <AlertDialog.Content>
        <AlertDialog.CloseButton />
        <AlertDialog.Header>{title}</AlertDialog.Header>
        <AlertDialog.Body>{bodyText}</AlertDialog.Body>
        <AlertDialog.Footer>
          <Button.Group space={2}>
            <Button
              variant="unstyled"
              colorScheme="coolGray"
              onPress={onClose}
              ref={cancelRef}
            >
              Nei
            </Button>
            <Button onPress={() => yesButton()}>Ja</Button>
          </Button.Group>
        </AlertDialog.Footer>
      </AlertDialog.Content>
    </AlertDialog>
  );
}
