import React, { useEffect } from "react";
import { useToast } from "native-base";

const ToastBox = ({ toastMessage }) => {
  const toast = useToast();
  const id = "error-toast";

  useEffect(() => {
    if (toastMessage.length > 0) {
      let bColor = "warmGray.900";
      if (toastMessage.length === 2 && toastMessage[1] === "error") {
        bColor = "danger.400";
      }
      toast.show({
        id: "1",
        placement: "top",
        title: toastMessage[0],
        backgroundColor: bColor,
      });
    }
  }, [toastMessage]);

  return <></>;
};

export default ToastBox;
