import React, { useState } from "react";
import { StyleSheet } from "react-native";
import { Center, Heading, VStack, Button } from "native-base";

import Pulse from "../../components/Pulse";
import ConfirmBox from "../../components/ConfirmBox";

export default function Tracking({ displayData, logout }) {
  const [openConfirmBox, setOpenConfirmBox] = useState(false);

  return (
    <VStack style={styles.container}>
      <Center marginBottom={40}>
        <Heading color={"white"} size="xl">
          Bike &amp; Run
        </Heading>
      </Center>
      <Center style={styles.divide}>
        <Pulse stageType={displayData.stageType} />
      </Center>
      <Center marginTop={40}>
        <Heading color={"white"} size="xl">
          {displayData.teamName}
        </Heading>
        <Heading color={"white"} size="xl">
          Etappenummer {displayData.stageNumber}
        </Heading>
        <Button
          onPress={() => setOpenConfirmBox(true)}
          style={{ backgroundColor: "#102e42", marginTop: 30 }}
          w="300px"
          h="60px"
        >
          Logg ut
        </Button>
      </Center>
      <ConfirmBox
        openConfirmBox={openConfirmBox}
        setOpenConfirmBox={setOpenConfirmBox}
        onYes={logout}
        title="Logg ut"
        bodyText="Er du sikkert på at du vil logge ut? Appen vil da ikke spore lokasjonen din og du må evt. legge inn invitasjonsnøkkel på nytt for å spore lokasjonen din igjen"
      />
    </VStack>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  divide: {
    marginTop: 20,
    marginBottom: 20,
  },
});
