import AsyncStorage from "@react-native-async-storage/async-storage";

const storeKey = "@inviteToken";

const storeData = async (value) => {
  try {
    await AsyncStorage.setItem(storeKey, value);
  } catch (error) {
    throw new Error(error);
  }
};

const getData = async () => {
  try {
    const value = await AsyncStorage.getItem(storeKey);
    if (value !== null) {
      return value;
    }
  } catch (error) {
    throw new Error(error);
  }
};

const wipeData = async () => {
  try {
    await AsyncStorage.clear();
  } catch (error) {
    throw new Error(error);
  }
};

export { storeData, getData, wipeData };
