﻿using BikeAndRunAPI.Services;
using BikeAndRunAPI.ViewModels;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;

namespace BikeAndRunAPI.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class CoordinateController : Controller
    {
        public CoordinateService _CoordinateService;
        private readonly ILogger _logger;

        public CoordinateController(ILogger<CoordinateController> logger, CoordinateService coordinateService)
        {
            _logger = logger;
            _CoordinateService = coordinateService;
        }


        [HttpPost]
        public IActionResult AddCordinates(CoordinatesFromDeviceVM coordinatesFromDeviceVM)
        {
            try
            {
                _CoordinateService.AddCordinates(coordinatesFromDeviceVM);
                return Ok();
            }
            catch (Exception ex)
            {
                _logger.LogWarning(100, ex.Message);
                return BadRequest(ex.Message);
            }

        }
    }
}
