﻿using BikeAndRunAPI.Services;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;

namespace BikeAndRunAPI.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class StageTypeController : Controller
    {
        public StageTypeService _StageTypeService;
        private readonly ILogger _logger;
        public StageTypeController(ILogger<CoordinateController> logger, StageTypeService stageTypeService)
        {
            _StageTypeService = stageTypeService;
            _logger = logger;
        }

        [HttpGet]
        public IActionResult GetAllStageTypes()
        {
            try
            {
                var allStageTypes = _StageTypeService.GetAllStageTypes();
                return Ok(allStageTypes);
            }
            catch (Exception ex)
            {
                _logger.LogWarning(100, ex.Message);
                return NotFound(ex.Message);
            }
        }
    }
}
