﻿using BikeAndRunAPI.Data.Models;
using Microsoft.EntityFrameworkCore;

namespace BikeAndRunAPI.Data
{
    /// <summary>
    /// This context represents the connection to the database. Defines the root entities in the database.
    /// A model of the data in the database is a another way to think about it.
    /// All of the DbSet's are intialized when a subclass of DbContext (such as this class) is initialized.
    /// </summary>
    public class BikeAndRunContext : DbContext
    {
        public BikeAndRunContext(DbContextOptions<BikeAndRunContext> options) : base(options)
        {
        }

        public DbSet<Team> Teams { get; set; }

        public DbSet<Participant> Participants { get; set; }

        public DbSet<Coordinate> Coordinates { get; set; }

        public DbSet<Relay> Relays { get; set; }

        public DbSet<StageType> StageTypes { get; set; }

        public DbSet<RelayStage> RelayStages { get; set; }
    }
}
