using BikeAndRunAPI.Services;
using BikeAndRunAPI.Jobs;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;

namespace BikeAndRunAPI
{
    public class Program
    {
        public static void Main(string[] args)
        {

            var host = CreateHostBuilder(args).Build();    

            using (var scope = host.Services.CreateScope())
            {
                // starts push routine on already started relays
                var relayService = scope.ServiceProvider.GetRequiredService<RelayService>();
                relayService.StartPushRoutineForStartedRelays();

                // starts routine for starting and ending relays
                var startAndEndRaceRoutine = scope.ServiceProvider.GetRequiredService<StartAndEndRaceRoutine>();
                _ = startAndEndRaceRoutine.StartRoutineCheck();
            }
            host.Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args) =>
            Host.CreateDefaultBuilder(args)
                .ConfigureWebHostDefaults(webBuilder =>
                {
                    webBuilder.UseStartup<Startup>();
                });
    }
}
