﻿using System;

namespace BikeAndRunAPI.Scripts
{
    /// <summary>
    /// utility functions related to coordinates 
    /// </summary>
    public class CoordinateUtils
    {
        public static double SimpleDistanceBetween(double lat, double lng, double lat2, double lng2)
        {
            return Math.Sqrt((lat - lat2) * (lat - lat2) + (lng - lng2) * (lng - lng2));
        }

        public static double Haversine(double lat, double lng, double lat2, double lng2)
        {
            const double r = 6371;
            var sdlat = Math.Sin((lat2 - lat) / 2);
            var sdlon = Math.Sin((lng2 - lng) / 2);
            var q = sdlat * sdlat + Math.Cos(lat) * Math.Cos(lat2) * sdlon * sdlon;
            var distance = 2 * r * Math.Asin(Math.Sqrt(q));

            return distance;
        }


    }
}
