## About The Project

Bike & Run front end is a website that is created for spectators to view teams participating in the Bike & Run relay race.
This website features the usage of websockets. The REST API as it gets coordinates sends that data to the front end using websockets and the websites then use the coordinates to display google maps markers of the positions in real time.

### Built With

* [React](https://reactjs.org/)

* [MUI](https://mui.com/)

* [react-google-maps](https://www.npmjs.com/package/react-google-maps)
  

## Getting Started

  

This is an example of how you may give instructions on setting up your project locally.

To get a local copy up and running follow these simple example steps.
  

### Prerequisites

This has to be installed to be able to run the application locally.


* NodeJS

	```sh

	https://nodejs.org/en/

	```

You need to have a valid google maps api key. Follow this link to see how to get one for free.
https://developers.google.com/maps/documentation/javascript/get-api-key

### Installation

1. Clone the repo

	```sh

	git clone https://YOUR_USERNAME@bitbucket.org/headit/bike-and-run-frontend.git

	```

2. You need to create a .env file and define the following enviornment variables:
	
	* REACT_APP_GOOGLE_MAPS_API_KEY = YOUR_GOOGLE_MAPS_API_KEY
	* REACT_APP_API_URL = REST_API_DEPLOYMENT_URL
	* REACT_APP_WEB_SOCKET_URL = REST_API_DEPLOYMENT_URL/coordinates


#### Running the app

To run, do the following commands.

1. Start the backend REST API for the bike and run system.
2. Type this into the command line in the root folder of the project. This will install all the packages.
	```sh
	yarn
	```
3.  To run the website type the following command:
	```sh
	yarn start
	```
	
### Building with Docker
Now you should see the website open up in your default browser and with a valid google maps api key you will see a google maps display.

You can also run the Dockerfile to build a docker image.
We reccomend using the [docker desktop](https://www.docker.com/products/docker-desktop/) program if you are on windows 

1. docker build -t YOUR_IMAGE_NAME .
2. Using docker desktop just run the image and it will build a container. Otherwise use a command such as this:

	```sh
	docker run -d -p 3030:3000 YOUR_DOCKER_CONTAINER_NAME
	```

