import React from "react";
import { dateToReadableString } from "../../../utils";

import List from "@mui/material/List";
import ListItemText from "@mui/material/ListItemText";
import DialogTitle from "@mui/material/DialogTitle";
import Dialog from "@mui/material/Dialog";
import DialogContent from "@mui/material/DialogContent";
import ListItemButton from "@mui/material/ListItemButton";

const RelayListDialog = ({
  openRelayListDialog,
  setOpenRelayListDialog,
  relays,
  createHubConnection,
}) => {
  const submit = (relayId) => {
    setOpenRelayListDialog(false);
    createHubConnection(relayId);
  };
  return (
    <Dialog open={openRelayListDialog}>
      <DialogContent>
        <DialogTitle>Velg løp</DialogTitle>
        <List>
          {relays.map((relay) => (
            <ListItemButton onClick={() => submit(relay.id)}>
              <ListItemText
                primary={`${dateToReadableString(
                  new Date(relay.startTime)
                )} - ${dateToReadableString(
                  new Date(relay.endTime),
                  false,
                  true
                )}`}
                secondary={`Id: ${relay.id}`}
              />
            </ListItemButton>
          ))}
        </List>
      </DialogContent>
    </Dialog>
  );
};

export default RelayListDialog;
