const axios = require("axios").default;

export const isAtTarget = (player, newPosition, lapPoints) => {
  if (
    player.velocity.lat > 0 &&
    newPosition.lat >= lapPoints[player.nextPathIndex].lat
  ) {
    return true;
  } else if (
    player.velocity.lat < 0 &&
    newPosition.lat <= lapPoints[player.nextPathIndex].lat
  ) {
    return true;
  } else if (
    player.velocity.lng > 0 &&
    newPosition.lng >= lapPoints[player.nextPathIndex].lng
  ) {
    return true;
  } else if (
    player.velocity.lng < 0 &&
    newPosition.lng <= lapPoints[player.nextPathIndex].lng
  ) {
    return true;
  }
  return false;
};

export const getDirection = (fromPosition, toPosition) => {
  let direction = {
    lat: toPosition.lat - fromPosition.lat,
    lng: toPosition.lng - fromPosition.lng,
  };
  let val = Math.sqrt(
    direction.lat * direction.lat + direction.lng * direction.lng
  );
  direction = { lat: direction.lat / val, lng: direction.lng / val };
  return { ...direction };
};

export const getVelocity = (direction, speed) => {
  return { lat: direction.lat * speed, lng: direction.lng * speed };
};

export const getAllRelays = async () => {
  try {
    const { data: response } = await axios.get(
      process.env.REACT_APP_API_URL + "Relay"
    );
    return response;
  } catch (error) {
    throw new error(error.message);
  }
};

export const dateToReadableString = (
  d,
  showDateOnly = false,
  showTimeOnly = false
) => {
  let text = "";
  let minutes = d.getMinutes().toString();
  if (minutes.length === 1) {
    minutes += "0";
  }
  if (showDateOnly) {
    text = d.getDate() + "." + d.getMonth() + "." + d.getFullYear();
  } else if (showTimeOnly) {
    text = d.getHours() + ":" + minutes;
  } else {
    text =
      d.getDate() +
      "." +
      d.getMonth() +
      "." +
      d.getFullYear() +
      " " +
      d.getHours() +
      ":" +
      minutes;
  }
  return text;
};
