import React, { useState, useEffect } from "react";
import MovingPlayers from "../../components/MovingPlayers";
import { getAllParticipants } from "../../utils/apiRequest";

const Simulator = () => {
  const [participants, setParticipants] = useState([]);

  useEffect(() => {
    getAllParticipants(1).then((data) => {
      console.log(data);
      setParticipants(data);
    });
  }, []);

  return (
    <div>
      <h2>Simulator</h2>
      {participants.length > 0 ? (
        <MovingPlayers
          googleKey={process.env.REACT_APP_GOOGLE_KEY}
          participants={participants}
        />
      ) : (
        <div>loading</div>
      )}
    </div>
  );
};

export default Simulator;
