export const sendCoordinates = async (inviteKey, latitude, longitude) => {
  const url = `${process.env.REACT_APP_API_URL}Coordinate`;
  const body = {
    inviteKey,
    latitude,
    longitude,
  };
  try {
    let response = await fetch(url, {
      method: "POST",
      headers: {
        Accept: "application/json",
        "Content-Type": "application/json",
      },
      body: JSON.stringify(body),
    });
    if (response.ok) {
      return true;
    }
    return null;
  } catch (error) {
    console.log(error);
    return null;
  }
};

export const getAllParticipants = async (relayId) => {
  const url = `${process.env.REACT_APP_API_URL}Participant/${relayId}`;
  try {
    let response = await fetch(url, {
      method: "GET",
      headers: {
        Accept: "application/json",
        "Content-Type": "application/json",
      },
    });
    if (response.ok) {
      let data = await response.json();
      return data;
    }
    return null;
  } catch (error) {
    console.log(error);
    return null;
  }
};
