export const isAtTarget = (velocity, newPosition, targetPosition) => {
  if (velocity.lat > 0 && newPosition.lat >= targetPosition.lat) {
    return true;
  } else if (velocity.lat < 0 && newPosition.lat <= targetPosition.lat) {
    return true;
  } else if (velocity.lng > 0 && newPosition.lng >= targetPosition.lng) {
    return true;
  } else if (velocity.lng < 0 && newPosition.lng <= targetPosition.lng) {
    return true;
  }
  return false;
};

export const getDirection = (fromPosition, toPosition) => {
  let direction = {
    lat: toPosition.lat - fromPosition.lat,
    lng: toPosition.lng - fromPosition.lng,
  };
  let val = Math.sqrt(
    direction.lat * direction.lat + direction.lng * direction.lng
  );
  direction = { lat: direction.lat / val, lng: direction.lng / val };
  return { ...direction };
};

export const getVelocity = (direction, speed) => {
  return { lat: direction.lat * speed, lng: direction.lng * speed };
};

export const getDistance = (pos, pos2) => {
  return Math.sqrt(
    (pos.lat - pos2.lat) * (pos.lat - pos2.lat) +
      (pos.lng - pos2.lng) * (pos.lng - pos2.lng)
  );
};

export const randomPositionInRadius = (centerPosition, radius) => {
  const r = radius * Math.sqrt(Math.random());
  const theta = Math.random() * 2 * Math.PI;
  const lat = centerPosition.lat + r * Math.cos(theta);
  const lng = centerPosition.lng + r * Math.sin(theta);
  return { lat, lng };
};
